use oslo_lib::build_app;
use tide::Result;

#[async_std::main]
async fn main() -> Result<()> {
    tide::log::start();
    let hostname = std::env::var("HOSTNAME").unwrap_or(String::from("127.0.0.1"));
    let port = std::env::var("PORT").unwrap_or(String::from("8080"));
    let app = build_app().await?;
    app.listen(format!("{}:{}", hostname, port)).await?;

    Ok(())
}
